Labels

Labels

8OAS 3.0

Information about consumer labels, such as “Bio”, “Aus der Region”, “Demeter” etc.

API Base URL
  • Server 1:https://api-qual.migros.ch

    Public Kong Gateway URL

Security
Kong-Api-Key (apiKey)

Kong key-auth authentication

basicAuth (http)

Basic authentication is a simple authentication scheme built into the HTTP protocol.
To use it, send your HTTP requests with an Authorization header that contains the word Basic
followed by a space and a base64-encoded string username:password.

Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==

Additional Information
Contact MGB-UDP-Products-Services (arg_mgb-udp-products-services@mgb.ch)

Labels

Returns a paged list of labels.

Returns a paged list of labels.

get
https://api-qual.migros.ch/migros/products/v8/labels

Query Parameters

limitinteger

Maximum number of results (max 2000).

Default:100

>= 0<= 2000

langstring

The language to be used. Possible values: de, fr, it, en. The language may also be set via HTTP header, e.g. Accept-Language: de header.

Default:de

idsstring

A comma separated list or an array of label ids defining the labels and the order in which the labels should be returned. If the ids parameter is provided all other filtering parameters are ignored.

updated_sincestring

The date and time used to only get labels updated since a certain timestamp. The format is according to ISO 8601 and can include a time zone offset, e.g. 2018-01-01T06:00:00+01:00. Default time zone is Swiss time.

Response

application/json

Returned when successful

LabelCollection

A collection of label instances.

labelsarray[object]required

Represents the Label information in the Product.

Show Child Parameters
total_hitsinteger | nullrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

get/migros/products/v8/labels
 
application/json